View Issue Details

IDProjectCategoryView StatusLast Update
0015570CentOS-7kernelpublic2019-03-20 23:25
Reportertoracat 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version7.6.1810 
Target VersionFixed in Version 
Summary0015570: CentOS 7.6.1810 running on a VirtualBox guest with a GUI has a mouse problem
DescriptionThe mouse problem was first reported for RHEL 7.6 in the following virtualbox forum post:

https://forums.virtualbox.org/viewtopic.php?f=3&t=90267
"Mouse only usable within single application after mouse click on RHEL 7.6"

and later in the RHEL discussion session:

https://access.redhat.com/discussions/3714911
"Mouse only usable within single application after mouse click on RHEL 7.6 as a VirtualBox guest"

Turns out the issue is related to the kernel version. Only the 7.6 kernels (3.10.0-957.x.el7) seem to be affected. With earlier versions or newer kernels (tested with ELRepo's kernel-lt and kernel-ml), mouse works fine.
Additional InformationThere was a useful piece of information in the referenced threads. That is, Fedora had the same problem and it went away with the kernel update to 4.17.4. So, one (or more) of the patches in that kernel update must have fixed the issue.

The problem is not unique to VirtualBox. It can be reproduced _without_ VBox.
TagsNo tags attached.
abrt_hash
URL

Relationships

has duplicate 0015787 closedtoracat Using Gnome , user cannot switch between screens/xterms and is locked in 

Activities

toracat

toracat

2018-12-12 05:57

manager   ~0033318

Last edited: 2019-01-01 18:48

View 3 revisions

The first candidate is this patch:
Input: psmouse - fix button reporting for basic protocols
commit 03ae3a9caf4a59edd32b65c89c375a98ce3ea1ef
https://lore.kernel.org/patchwork/patch/957867/

"The commit ba667650c568 ("Input: psmouse - clean up code") was pretty brain-dead and broke extra buttons reporting for variety of PS/2 mice: Genius, Thinkmouse and Intellimouse Explorer. We need to actually inspect the data coming from the device when reporting events."

A centosplus kernel has been built with the patch (kernel-plus-3.10.0-957.1.3.el7.centos.plus.ay1) and is available from:

https://people.centos.org/toracat/kernel/7/plus/bug15570/

[EDIT] An updated version of the plus kernel is in https://people.centos.org/toracat/kernel/7/plus/bug15570new/

gbailey

gbailey

2018-12-12 13:57

reporter   ~0033321

Tested the centosplus kernel linked above, and it seems to resolve the issue for me. Is there an upstream RH bugzilla number that corresponds to this?
toracat

toracat

2018-12-12 14:17

manager   ~0033322

Glad to hear the positive result. Yes, I am planning to file a RHBZ as soon as I gather enough evidence that I've got the right patch. Will do so soon.
toracat

toracat

2018-12-12 16:18

manager   ~0033323

Submitted:

https://bugzilla.redhat.com/show_bug.cgi?id=1658669 (marked private)
toracat

toracat

2018-12-15 18:51

manager   ~0033359

The patch has been confirmed to fix the issue by multiple users.

Sidetrack: There was a problem with building the kernel module, vboxguest, when the plus kernel was installed. In VirtuslBox's Makefile for vboxvideo, RHEL 7 kernels were picked up by looking for "el7.x86_64" in the name. The original plus kernel was named ".el7.centos.plus.xxx.x86_64" . As a result, this kernel was not recognized as a "RHEL 7 kernel". So I built the same kernel using "xxxx.plus.el7.x86_64" as the package name. Now Makefile sees this as a RHEL kernel and builds the vboxvideo module just fine.
toracat

toracat

2018-12-18 22:39

manager   ~0033384

Some progress made in the RHBZ:

Status: ASSIGNED → POST
Priority: unspecified → urgent
Severity: medium → high
sparadox

sparadox

2019-01-12 19:53

reporter   ~0033569

Hi there your patch appears to have fixed the issue for me (everytime I opened a new browser tab in FF or Chrome I could interact within the application but I couldn't access the Applications or Places menus). The issue only appeared once I'd installed Guest Additions (Windows 10 host running CentOS 7 in VirtualBox 6.

I'm a complete novice when it comes to this sort of thing though (I don't even really know what a kernel is), but I'm presuming at some point I won't have to boot from that kernel anymore, so what I want to know is when I don't need to use it anymore? Also what happens if I do a sudo yum update now will it pick up the latest kernel and drop this one?

Any explanation/advice would be much appreciated (but tell it to me like I'm 5!)

Thanks in advance
toracat

toracat

2019-01-13 06:38

manager   ~0033571

@sparadox

I'm hoping that the next kernel update will have the patch. If so, you can just go ahead and update the kernel and boot to it. If not, you'd need to keep using the plus kernel.
toracat

toracat

2019-01-13 06:55

manager   ~0033572

Last edited: 2019-01-18 17:54

View 2 revisions

@sparadox

There are ways to work around the issue. You can try one of the following:

(1) Log out of the GUI and log back in.
(2) Ctrl-Alt-F2 (switches to a secondary screen) and then Ctrl-Alt-F1 (switches back).
(3) On the host, change PS/2 mouse to USB Tablet.

[EDIT] (1) and (2) were confirmed to work by multiple users.

toracat

toracat

2019-01-29 17:50

manager   ~0033723

A kernel update has been released upstream (kernel-3.10.0-957.5.1.el7). However, it did not have the patch.
toracat

toracat

2019-01-30 05:29

manager   ~0033729

I have updated the patched plus kernel and made them available from the same location:

https://people.centos.org/toracat/kernel/7/plus/bug15570new/

kernel-3.10.0-957.5.1.bug15570.plus.el7.x86_64.rpm
kernel-devel-3.10.0-957.5.1.bug15570.plus.el7.x86_64.rpm

If you are currently running the plus kernel, please update to this version.
toracat

toracat

2019-01-31 18:39

manager   ~0033744

kernel-plus-3.10.0-957.5.1.el7.centos.plus now has the patch.

Please note that VBox users should keep using the one available from people.centos.org/toracat/kernel/7/plus/bug15570new/ because the official version has an issue with building the vboxguest kernel module.
toracat

toracat

2019-01-31 18:45

manager   ~0033746

No recent progress in the filed RHBZ. It has a keyword "Z-Stream", so I expect the patch will appear in a future 7.6 kernel.
athensy

athensy

2019-02-18 04:48

reporter   ~0033858

The most update CentOS 7 kernel 3.10.0-957.5.1.el7.x86_64 still have issue on mouse related operations. I am using VirtualBox version 6.0.4 under Ubuntu 16.04 (Kernel 4.15.0-45-generic). Below are examples what issue I got:

case 1) Open a terminal window, you can't move the window by mouse on top window bar or access 'minimum', 'maximum' and 'close' buttons on it. You need to click on any one window menu, such as File, Edit, ... Help, etc to 'activate' the functions of top window bar.

case 2) Open Firefox and go to Tor browser download page (https://www.torproject.org/download/download-easy.html.en), click 'Donwload' button, then the download pop-up dialog box will appear, however mouse control cannot apply to this pop-up dialog box but still remain on the background window.
toracat

toracat

2019-02-21 18:15

manager   ~0033878

Last edited: 2019-03-12 21:58

View 3 revisions

Looks like the RHEL kernel with the fix will be released sometime in March.

[EDIT] reference: https://forums.virtualbox.org/viewtopic.php?f=3&t=90267&start=90#p441744

lphilpot

lphilpot

2019-03-01 21:46

reporter   ~0033925

This looks like the same bug as what I'm still experiencing, but I appear to have the 'fixed' kernel (right?):

# uname -a
Linux ex200 3.10.0-957.5.1.el7.x86_64 #1 SMP Fri Feb 1 14:54:57 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
# cat /etc/centos-release
CentOS Linux release 7.6.1810 (Core)

In fact I only noticed this bug about a ~week ago after updates. I can confirm the descriptions above, including switching virtual consoles to fix it. For example, open the Xfce Settings Manager and it's fully functional, can be moved around, etc. Open an applet inside it and the applet can't be moved, nothing inside the applet responds to mouse clicks, etc. The "All Settings" and "Close" buttons on the Settings Manager window are responsive and clicking either of them restores functionality. I've seen Terminal show this, but dropping down a menu seems to fix it.

However, the strange thing is that it doesn't happen every time. Sometimes it works normally. No pattern yet that I can see to whatever sets it off.

This is a VM running in VirtualBox 6.0.0 r127566.
vbuser

vbuser

2019-03-11 14:01

reporter   ~0033976

Wanted to confirm that the fix works like a charm with VB 5.2.26 and 5.2.26 VB Guest Additions installed on a macOS host running Mojave 10.14.3. Tested with Gnome and Gnome Classic desktop. It also works in combination with the following setting

  % echo “options vboxvideo modeset=1" > /etc/modprobe.d/vboxvideo.conf

to make screen resizing work at all for me.
toracat

toracat

2019-03-12 17:08

manager   ~0033985

Red Hat has just released kernel-3.10.0-957.10.1.el7. I confirm this version has the patch that fixes the mouse issue. The CentOS kernel will follow shortly.
toracat

toracat

2019-03-17 17:03

manager   ~0034021

Well, "shortly" turned out to be longer than expected. I don't have an ETA ...
toracat

toracat

2019-03-18 18:35

manager   ~0034033

OK, kernel-3.10.0-957.10.1.el7 has just been released. The wait is over. :)
athensy

athensy

2019-03-19 10:02

reporter   ~0034043

Hi toracat, I confirm the kernel 3.10.0-957.10.1.el7 fix this issue, thanks for your effort.
toracat

toracat

2019-03-20 23:25

manager   ~0034054

@athensy, thanks for the confirmation.

Issue History

Date Modified Username Field Change
2018-12-12 05:41 toracat New Issue
2018-12-12 05:42 toracat Status new => assigned
2018-12-12 05:57 toracat Note Added: 0033318
2018-12-12 06:10 toracat Note Edited: 0033318 View Revisions
2018-12-12 13:57 gbailey Note Added: 0033321
2018-12-12 14:17 toracat Note Added: 0033322
2018-12-12 16:18 toracat Note Added: 0033323
2018-12-15 18:51 toracat Note Added: 0033359
2018-12-18 22:39 toracat Note Added: 0033384
2019-01-01 18:48 toracat Note Edited: 0033318 View Revisions
2019-01-12 19:53 sparadox Note Added: 0033569
2019-01-13 06:38 toracat Note Added: 0033571
2019-01-13 06:55 toracat Note Added: 0033572
2019-01-18 17:54 toracat Note Edited: 0033572 View Revisions
2019-01-29 17:50 toracat Note Added: 0033723
2019-01-30 05:29 toracat Note Added: 0033729
2019-01-31 18:39 toracat Note Added: 0033744
2019-01-31 18:45 toracat Note Added: 0033746
2019-02-06 14:26 toracat Relationship added has duplicate 0015787
2019-02-14 23:02 toracat Additional Information Updated View Revisions
2019-02-18 04:48 athensy Note Added: 0033858
2019-02-21 18:15 toracat Note Added: 0033878
2019-02-21 18:18 toracat Note Edited: 0033878 View Revisions
2019-03-01 21:46 lphilpot Note Added: 0033925
2019-03-11 14:01 vbuser Note Added: 0033976
2019-03-12 17:08 toracat Note Added: 0033985
2019-03-12 21:58 toracat Note Edited: 0033878 View Revisions
2019-03-17 17:03 toracat Note Added: 0034021
2019-03-18 18:35 toracat Note Added: 0034033
2019-03-19 10:02 athensy Note Added: 0034043
2019-03-20 23:25 toracat Note Added: 0034054